Get Ethereum Token Prices

Get the Ethereum token price since 2022, denominated in the blockchain's native token and USD.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

API detailed page: [link]

Transformation Logic:

SELECT
  p.name,
  p.symbol,
  p.slug,
  p.ethereum_token_address,
  p.price,
  p.minute,
  t.decimals,
  p.data_creation_date
FROM
  prices.usd p 
  -- only keep the verified Ethereum tokens 
  INNER join ethereum_mainnet.ethereum_erc20_tokens t 
  ON LOWER(p.ethereum_token_address) = LOWER(t.contract_address)
WHERE 
  data_creation_date >= date('2022-01-01')
Body Params

request to submit query

string
Headers
string
required

api key

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json